/*
 * EDG, a library to generate and slice Expression Dependence Graphs.
 * Copyright (c) 2021. David Insa, Sergio Pérez, Josep Silva, Salvador Tamarit.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package edg;

public class LDASTNodeInfo
{
	private String archive;
	private final long line;
	private final String construction;
	private final Object[] info;

	public LDASTNodeInfo(long line, String construction, Object... info)
	{
		this(null, line, construction, info);
	}
	public LDASTNodeInfo(String archive, long line, String construction, Object... info)
	{
		this.archive = archive;
		this.line = line;
		this.construction = construction;
		this.info = info;
	}

	public String getArchive()
	{
		return this.archive;
	}
	public long getLine()
	{
		return this.line;
	}
	public String getConstruction()
	{
		return this.construction;
	}
	public Object[] getInfo()
	{
		return this.info;
	}

	public void setArchive(String archive)
	{
		this.archive = archive;
	}
}