/*
 * EDG, a library to generate and slice Expression Dependence Graphs.
 * Copyright (c) 2021. David Insa, Sergio Pérez, Josep Silva, Salvador Tamarit.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package edg.graph;

import edg.graphlib.Arrow;

public class Edge extends Arrow<NodeInfo, EdgeInfo>
{
	public Edge(Node from, Node to)
	{
		this(from, to, 0, null);
	}
	public Edge(Node from, Node to, EdgeInfo data)
	{
		this(from, to, 0, data);
	}
	public Edge(Node from, Node to, int cost)
	{
		this(from, to, cost, null);
	}
	public Edge(Node from, Node to, int cost, EdgeInfo data)
	{
		super(from, to, cost, data);
	}

	public Node getFrom()
	{
		return (Node) super.getFrom();
	}
	public Node getTo()
	{
		return (Node) super.getTo();
	}
}