/*
 * EDG, a library to generate and slice Expression Dependence Graphs.
 * Copyright (c) 2021. David Insa, Sergio Pérez, Josep Silva, Salvador Tamarit.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package edg.graph;

import edg.LDASTNodeInfo;

public class VariableInfo extends NodeInfo
{
	public static enum Context { Definition, Use }

	private boolean declaration;
	private Context context;
	private boolean global;

	public VariableInfo(int id, Type type, String name, LDASTNodeInfo ldASTNodeInfo)
	{
		super(id, type, name, ldASTNodeInfo);
	}

	public boolean isDeclaration()
	{
		return this.declaration;
	}
	public Context getContext()
	{
		return this.context;
	}
	public boolean isGlobal()
	{
		return this.global;
	}

	public void setDeclaration(boolean declaration)
	{
		this.declaration = declaration;
	}
	public void setContext(Context context)
	{
		this.context = context;
	}
	public void setGlobal(boolean global)
	{
		this.global = global;
	}
}