/*
 * e-Knife, a program slicing tool for Erlang based on the EDG
 * Copyright (c) 2021. David Insa, Sergio Pérez, Josep Silva, Salvador Tamarit.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package eknife;

import java.io.File;
import java.util.List;

import edg.graph.EDG;
import edg.graph.Node;
import eknife.EKnife.Language;

public class CodeFactory
{
	public static void createCode(Language language, File outputFile, EDG edg)
	{
		CodeFactory.createCode(language, outputFile, edg, null);
	}
	public static void createCode(Language language, File outputFile, EDG edg, List<Node> slice)
	{
		switch (language)
		{
			case Erlang:
				eknife.erlang.ErlangCodeFactory.createErlangFile(outputFile, edg, slice);
				break;
			default:
				throw new RuntimeException("Language not contemplated: " + language);
		}
	}
}