/*
 * e-Knife, a program slicing tool for Erlang based on the EDG
 * Copyright (c) 2021. David Insa, Sergio Pérez, Josep Silva, Salvador Tamarit.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package eknife;

import edg.graph.EDG;
import eknife.EKnife.Language;

public class EDGFactory
{
	public static EDG createEDG(Language language, String sourcePath)
	{
		return EDGFactory.createEDG(language, sourcePath, true);
	}
	public static EDG createEDG(Language language, String sourcePath, boolean generateArcs)
	{
		switch (language)
		{
			case Erlang:
				return eknife.erlang.ErlangEDGFactory.createEDG(sourcePath, generateArcs);
			default:
				throw new RuntimeException("Language not contemplated: " + language);
		}
	}
}